<?php

/**
 * Fired during plugin activation
 *
 * @link       https://www.trustt.io/
 * @since      1.0.0
 *
 * @package    Trustt
 * @subpackage Trustt/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Trustt
 * @subpackage Trustt/includes
 * @author     Dimitri Longo <info@elanathemes.fr>
 */
class Trustt_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {

		self::single_activate();

	}

	private static function single_activate() {

		if ( false == get_option( 'redirect-trust-welcome-page' ) ) {
			add_option( 'redirect-trust-welcome-page', true );
		}
	}
}
