<?php

/**
 * Register all actions and filters for the plugin
 *
 * @link       https://www.trustt.io/
 * @since      1.0.0
 *
 * @package    Trustt
 * @subpackage Trustt/includes
 */

/**
 * Register all actions and filters for the plugin.
 *
 * Maintain a list of all hooks that are registered throughout
 * the plugin, and register them with the WordPress API. Call the
 * run function to execute the list of actions and filters.
 *
 * @package    Trustt
 * @subpackage Trustt/includes
 * @author     Dimitri Longo <info@elanathemes.fr>
 */
class Trustt_My_Widgets {

	/**
	 * Initialize the collections used to maintain the actions and filters.
	 *
	 * @since    1.0.0
	 */
	public function __construct() {

		add_action( 'widgets_init', array( $this, 'widgets_init' ), 0 );
	}

	/**
	 * Loads plugin's widgets.
	 */
	public function widgets_init() {
		require plugin_dir_path( __DIR__ )  . 'widgets/mywidget/class-widget.php';
		require plugin_dir_path( __DIR__ )  . 'widgets/mywidget/class-mywidget-widget.php';
	}

}
