<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 *
 *
 * @package Trustt
 * @since 1.0.0
 */
class WP_Trustt_Widget_My_Widget extends Trustt_Widget {

    protected $widget_slug = 'trustt-widget';

	/**
	 * @var string
	 */

	public $version 		= '1.0.0';
	public $widget_name 	= 'Trustt Widget';
	public $widget_folder 	= 'mywidget';
	public $widget_id 		= 'widget_trustt';

	/**
	 * Constructor.
	 */
	public function __construct() {

		$this->widget_cssclass    = 'trustt';
		$this->widget_description = __( 'Widget Trustt', 'trustt' );
		$this->widget_id          = 'widget_trustt';
		$this->widget_name        = $this->widget_name;

		$this->register();
	}

	/**
	 * Echoes the widget content.
	 *
	 * @see WP_Widget
	 * @param array $args
	 * @param array $instance
	 */
	public function widget( $args, $instance ) {

		if ( $this->get_cached_widget( $args ) ) {
			return;
		}

		ob_start();

		extract( $args );

		$title   = ( ! empty( $instance['title'] ) ) ? $instance['title'] : '';
		$title   = apply_filters( 'widget_title', $title, $instance, $this->id_base );
		$status  = isset( $instance['status'] ) ? esc_attr($instance['status']) : 'next';
		$postnum = isset( $instance['postnum'] ) ? esc_attr($instance['postnum']) : '4';

		$content = ob_get_clean();
		include( plugin_dir_path( __FILE__ ) . 'views/widget.php' );

		$this->cache_widget( $args, $content );
		echo $content;

	}

}

register_widget( 'WP_Trustt_Widget_My_Widget' );
